#
# spec file for package kdevelop4-pg-qt
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kdevelop4-pg-qt
Version:        1.0.0
Release:        17.3
Summary:        Supporting package for the additional plugins for Kdevelop4
License:        LGPL-2.0+ and GPL-2.0+
Group:          Development/Tools/IDE
Url:            http://www.kdevelop.org
Source0:        kdevelop-pg-qt-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM fix-error.diff 
Patch1:         fix-error.diff
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  libkde4-devel
Obsoletes:      %{name}-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires

%description
Supporting package for the additional plugins for Kdevelop4 Integrated Development Environment

%prep
%setup -q -n kdevelop-pg-qt-%{version}
%patch1 -p1

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  %kde4_makeinstall -C build
  %kde_post_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_kde4_bindir}/kdev-pg-qt
%{_kde4_prefix}/include/kdevelop-pg-qt/
%{_kde4_libdir}/cmake/KDevelop-PG-Qt

%changelog
* Thu Jan 22 2015 tittiatcoke@gmail.com
- Add upstream commit to fix warnings to resolve the current
  build errors
  - fix-error.diff
* Wed Aug 27 2014 hrvoje.senjan@gmail.com
- Minor spec cleanup
- Adjust filelists to use kde4 macros accordingly to package buildsystem
* Mon Apr 15 2013 cfarrell@suse.com
- license update: LGPL-2.0+ and GPL-2.0+
  Package is (mostly) LGPL (library gpl not lesser gpl - hence 2.0)
  licensed. Examples are GPL-2.0
* Tue Mar  5 2013 coolo@suse.com
- update license to new format
* Tue Mar 13 2012 wstephenson@suse.com
- update to 1.0.0 release
  * Better error messages
  * Better compatibility
  * Added lexer generation
  * Bug fixes
* Tue Oct 18 2011 cgiboudeaux@gmx.com
- Move the headers in the non-devel package (bnc#722152)
  kdevelop-pg-qt is only a generator and should be packaged like flex or bison.
  kdevelop-pg-qt currently has no runtime use.
* Sat Apr 16 2011 javier@opensuse.org
- update to 0.9.5 bugfix release
* Sat May  1 2010 tittiatcoke@gmail.com
- Initial package
